kdevelop (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:07:35 +0100

kdevelop (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:52:00 +0100

kdevelop (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:44:34 +0100

kdevelop (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Rename packages according to the SONAME bumps:
    - kdevelop62-libs -> kdevelop63-libs
  * Bump KDEV_PLUGIN_VERSION to 63, according to upstream.
  * Update install files.


 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 11:59:47 +0100

kdevelop (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:42:24 +0100

kdevelop (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:44:30 +0100

kdevelop (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:51 +0100

kdevelop (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
    * Rename packages according to the SONAME bumps:
    - kdevelop61-libs -> kdevelop62-libs
  * Bump KDEV_PLUGIN_VERSION to 62, according to upstream.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:48:35 +0100

kdevelop (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current gear version of libkomparediff2.
    - Only try to build on architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Mar 2025 06:21:34 +0000

kdevelop (4:24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop the kinit dependency, as kinit is no more in KF6.
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * CI: update/simplify configuration.
  * Restore the libastyle-dev build dependency for the astyle plugin, removed
    in version 4:24.12.0-1.
  * Since kdevelop requires Qt WebEngine, which is available only on few
    architectures and all of those have clang, then drop the bits to support
    architectures without clang:
    - drop the patch optional-clang.diff
    - drop the architecture exclusions from the clang, and llvm-dev build
      dependencies
    - drop the code to set an empty value for the ${kdevelop:clang} substvar
    - drop manual creation of /usr/share/kdevclangsupport
    - drop the architecture exclusions for few files in debian/kdevelop.install
  * Now that there are no more architecture exclusions in install files,
    use the debhelper 13 replacement features in install files:
    - switch from ${KDEV_PLUGIN_VERSION} to ${env:KDEV_PLUGIN_VERSION}
    - remove the dh-exec build dependency, no more needed
    - remove the lintian override for the old method

 -- Pino Toscano <pino@debian.org>  Sun, 23 Mar 2025 20:13:16 +0100

kdevelop (4:24.12.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Replace manual QML runtime dependencies with dh-sequence-qmldeps. (Closes:
    #1093691)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2025 16:17:59 +0100

kdevelop (4:24.12.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Qt WebEngine is now a strict dependency.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 22:24:16 +0100

kdevelop (4:24.12.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing qt6-5compat-dev dependency for the kdevelop-dev package.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 22:03:45 +0100

kdevelop (4:24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reupload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 21:44:40 +0100

kdevelop (4:24.12.0-1) unstable; urgency=low

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Adapt packaging to libraries soname bump from 512 to 61.
  * Use Debian’s default clang version (currently 19).
  * Cleanup obsolete debian/rules command.
  * Remove ia64 from architecture qualifiers.
  * Added myself to the uploaders.
  * Remove use of obsolete grantlee library.
  * Drop obsolete Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Jan 2025 18:34:50 +0100

kdevelop (4:23.08.1-4) unstable; urgency=medium

  * Team upload.

  [ Dandan Zhang ]
  * Enable the usage of LLVM/Clang on loong64.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 14:33:15 +0200

kdevelop (4:23.08.1-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop libkf5sysguard-dev from build-deps, it’s going away with Plasma 6.
  * Replace pkg-konfig transitional build-dep with pkgconf.
  * Bump Standards-Version to 4.7.0, no change required.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 15:32:34 +0200

kdevelop (4:23.08.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Sep 2023 17:15:06 +0200

kdevelop (4:23.08.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.91.0
  * Rename packages according to the SONAME bumps:
    - kdevelop510-libs -> kdevelop512-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Update lintian overrides.
  * Update the patches:
    - upstream_Drop-custom-Find-modules-and-use-upstream-ClangConfi.patch:
      drop, backported from upstream
    - upstream_Don-t-look-for-Clang-s-builtin-dir-in-unclean-versio.patch:
      drop, backported from upstream
    - upstream_Look-for-Clang-16-builtin-dir-in-major-version-subdi.patch:
      drop, backported from upstream
    - upstream_Don-t-cast-out-of-enum-range-1-to-CommonIntegralType.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Mon, 18 Sep 2023 08:55:08 +0200

kdevelop (4:22.12.2-3) unstable; urgency=medium

  * Backport upstream commit 1a92bed73ae31e6f90c3bffe455f8e3c46ac4905,
    commit 9913f734d8aab75ea2e97c699cd926e9fd7a40b6, and
    commit 1c7bdc2e0f8dcf2aeb682ab3f5e317e3a97435ea, and
    ede1cf4ad6f945349060db9446c489e3fd34dec4 to find LLVM/Clang >= 16, and
    build with it; patches
    upstream_Drop-custom-Find-modules-and-use-upstream-ClangConfi.patch,
    upstream_Don-t-look-for-Clang-s-builtin-dir-in-unclean-versio.patch,
    upstream_Look-for-Clang-16-builtin-dir-in-major-version-subdi.patch,
    upstream_Don-t-cast-out-of-enum-range-1-to-CommonIntegralType.patch
    (Closes: #1051885)
    - refresh optional-clang.diff to apply cleanly on top of them
  * Disable the usage of LLVM/Clang on loong64 & sparc64, as it is not available
    on these architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Sep 2023 07:35:46 +0200

kdevelop (4:22.12.2-2) unstable; urgency=medium

  * Get the right grantlee dependency for the shipped plugin:
    - add the dh-sequence-grantlee build dependency
    - use the ${grantlee:Depends} substvar
  * Remove 2 obsolete maintscript entries in 1 files.
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd-any qualifiers from the clang, libclang-dev, and
      llvm-dev build dependencies
    - drop the kfreebsd-any qualifiers in install files
    - stop mentioning kfreebsd architectures in the no_clang_args rules variable

 -- Pino Toscano <pino@debian.org>  Sat, 05 Aug 2023 20:34:06 +0200

kdevelop (4:22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:51:36 +0100

kdevelop (4:22.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 21:34:26 +0100

kdevelop (4:22.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update the build dependencies according to the upstream build system:
    - bump shared-mime-info to 1.9
  * Rename packages according to the SONAME bumps:
    - kdevelop58-libs -> kdevelop510-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Dec 2022 16:38:50 +0100

kdevelop (4:22.04.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 11:00:28 +0200

kdevelop (4:22.04.1-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * kdevelop is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.78.0
  * Rename packages according to the SONAME bumps:
    - kdevelop56-libs -> kdevelop58-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop the manually specified kf5 addon for dh
  * Update lintian overrides.
  * Update the patches:
    - upstream_Fix-test_codecompletion-test_duchain-clang-test_prob.patch:
      drop, backported from upstream
    - appdata-invalid-artifact.diff: drop, fixed/removed upstream
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Sun, 22 May 2022 09:43:54 +0200

kdevelop (4:5.6.2-5) unstable; urgency=medium

  * Team upload.
  * Drop the transitional kdevplatform-dev, and kdevplatform-l10n, no more
    needed after two Debian stable releases.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Update lintian overrides.
  * Refresh patch optional-clang.diff.
  * Remove the KDevelop 5.6.0 AppImage artifact from the AppStream XML, as it
    refers to a platform that seems not supported by AppStream; patch
    appdata-invalid-artifact.diff.
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Oct 2021 10:17:53 +0200

kdevelop (4:5.6.2-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 4688d626c145711e35f3676dbd4c827b3b2ea7f6 to fix
    the detection of the clang version from its version string; patch
    upstream_Fix-test_codecompletion-test_duchain-clang-test_prob.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 10 Feb 2021 14:01:07 +0100

kdevelop (4:5.6.2-3) unstable; urgency=medium

  * Team upload.
  * Remove extra quoting for clang architectures.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 13:01:52 +0100

kdevelop (4:5.6.2-2) unstable; urgency=medium

  * Team upload.
  * Generate a clang dependency only on architectures that use clang.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 12:17:45 +0100

kdevelop (4:5.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Require the same version of the clang-N used for the build: this is because
    kdevelop hardcodes the clang version and its include path, so we should not
    let an older clang than the build one be usable.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 10:19:20 +0100

kdevelop (4:5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - improves the detection of the GDB version (Closes: #975337)
  * Remove the upstream GPG signing key, as it changed and I cannot find the
    new one publically.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Move the creation of /usr/share/kdevclangsupport from a dh_install override
    to a dh_auto_install one, where it is more logic to do.
  * Do not ship /usr/share/kdevqmljssupport/propertywidgets/README, as it is
    useful only in the sources.
  * Switch the watch file to version 4, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2020 10:12:48 +0100

kdevelop (4:5.6.0-3) unstable; urgency=medium

  * Team upload.
  * Adapt to krunner 5.72.0: (Closes: #972848)
    - stop installing file no more needed for it
    - bump libkf5runner-dev build dependency
  * Fix day-of-week for changelog entries 4:3.1.2-4, 4:3.1.2-3, 4:3.1.0-3,
    1:2.999-0cvs20030905, 1:2.999-0cvs20030815, 1:2.999-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Oct 2020 08:23:16 +0100

kdevelop (4:5.6.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 16:31:00 +0200

kdevelop (4:5.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.8.0
    - bump KF packages to 5.50.0
  * Rename packages according to the SONAME bumps:
    - kdevelop55-libs -> kdevelop56-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 34, according to upstream.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Sep 2020 22:25:19 +0200

kdevelop (4:5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update install files.
  * Set Rules-Requires-Root: no.
  * Update the architecture for Clang:
    - drop powerpcspe exclusion, as this port was dropped
    - drop riscv64 exclusion, as Clang 9 is available there

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 12:06:46 +0200

kdevelop (4:5.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 10 May 2020 07:24:10 +0200

kdevelop (4:5.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Feb 2020 21:32:17 +0100

kdevelop (4:5.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump clang, libclang-dev, and llvm-dev to 6.0
  * Rename packages according to the SONAME bumps:
    - kdevelop54-libs -> kdevelop55-libs
  * Update install files.
  * Update lintian overrides.
  * Use an environment variable for the version of plugins, to minimize changes
    to kdevelop.install.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2020 20:25:48 +0100

kdevelop (4:5.4.6-2) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - drop the dh_makeshlibs override, as -V is done by default
  * Enable all the reprotest variations in the salsa CI.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2020 20:24:56 +0100

kdevelop (4:5.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jan 2020 08:24:11 +0100

kdevelop (4:5.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Dec 2019 22:33:05 +0100

kdevelop (4:5.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Get the package containing the clang compiler bypassing ccache.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Nov 2019 08:26:29 +0100

kdevelop (4:5.4.2-2) unstable; urgency=medium

  * New revision
  * Move qdebug files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 16:49:37 -0700

kdevelop (4:5.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 20:12:44 +0200

kdevelop (4:5.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Aug 2019 18:08:51 +0200

kdevelop (4:5.4.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump the okteta-dev build dependency to 5:0.26.2, to make sure to use the
    newest okteta available.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 10:05:42 +0200

kdevelop (4:5.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add bash-completion, and libastyle-dev, used by the new version
    - bump the Qt packages to >= 5.7.0
    - bump the KF packages to >= 5.28.0
    - explicitly add gettext
    - adjust the dependencies for kdevelop-dev accordingly
  * Rename packages according to the SONAME bumps:
    - kdevelop53-libs -> kdevelop54-libs
  * Update install files.
  * Update lintian overrides.
  * Add clang-tidy, and meson as suggests, as kdevelop can use them now.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Aug 2019 08:18:22 +0200

kdevelop (4:5.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch from --list-missing to --fail-missing for dh_missing; everything is
    installed already.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2019 07:03:37 +0200

kdevelop (4:5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kdevelop-dbg, no more needed after two Debian
    stable releases.
  * Bump the kdevelop-pg-qt build dependency to >= 2.2.0, to be sure to build
    using the new version.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jul 2019 08:11:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kdevelop63-libs`.
